<?php
	do {
		
		//HP
		$hp_antigo = $historico_padrao_receber;
		
		$historico_padrao_receber = '522';
		
		
		
		//Emissao de Lancamento Complexo
		if(($row_recebimento_emi_complexo['vl']) > 0){
		$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
		$texto .= $row_recebimento_emi_complexo['dta_emissao']; // Data do Movimento
		$texto .= str_pad($row_recebimento_emi_complexo['banco_conta'], 7, " ", STR_PAD_RIGHT); // Conta Dedito
		$texto .= str_pad(1190, 7, " ", STR_PAD_RIGHT); // Conta Credito
		$texto .= str_pad(number_format($row_recebimento_emi_complexo['vl'],2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
		$texto .= str_pad($historico_padrao_receber, 5, "0", STR_PAD_LEFT); // Historico Padrao
		$texto .= substr(str_pad(' Pasta: '.$row_recebimento_emi_complexo['num_pasta'].' '.$row_recebimento_emi_complexo['det'], 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
		$texto .= chr(13).chr(10); // Quebra de Liinha
		
		$historico_padrao_receber = $hp_antigo;
		
		fwrite($fp,$texto); //Escrever no Arquivo
		$texto = '';
		$contador++;
		}
					
		$atualizar = "UPDATE mfin_recebimentos INNER join mfin_pastas ON Pasta_Id = mfin_pastas.Id SET phoenix_emi=CURDATE() WHERE Emissao= '".$row_recebimento_emi_complexo['Emissao']."' AND mfin_pastas.Numero = '".$row_recebimento_emi_complexo['num_pasta']."' AND mfin_recebimentos.Detalhe = '".$row_recebimento_emi_complexo['det']."'";
		mysql_query($atualizar, $paivaconex) or die(mysql_error());
		
		
		
		
		//Lancamento de Receita
		
		mysql_select_db($database_paivaconex, $paivaconex);
		$query_pagamento_emi_complexo = "Select *, DATE_FORMAT(Emissao, '%d/%m') AS dta_emissao,  mfin_pagamentos.Id AS pag_id, mfin_contas.NumContaReduzida as conta_result, mfin_contas2.NumContaReduzida as conta_fornec, mfin_pagamentos.Detalhe AS det, mfin_pastas.Numero as num_pasta, mfin_fornecedores.NomeFantasia as fornec_nome, mfin_bancos.NumContaReduzida as banco_conta  From  mfin_pagamentos INNER join mfin_fornecedores ON Fornecedor = mfin_fornecedores.Id  INNER join mfin_clientes ON Cliente = mfin_clientes.Id  INNER join mfin_pastas ON Pasta = mfin_pastas.Id  INNER join mfin_contas ON mfin_fornecedores.ContaResultado = mfin_contas.Id  INNER join mfin_contas As mfin_contas2 ON mfin_fornecedores.Conta = mfin_contas2.Id  INNER join mfin_bancos ON Banco = mfin_bancos.Id  Where mfin_fornecedores.Id = 167 AND Emissao = '".$row_recebimento_emi_complexo['Emissao']."' AND mfin_pastas.Numero = '".$row_recebimento_emi_complexo['num_pasta']."' AND mfin_pagamentos.Detalhe = '".$row_recebimento_emi_complexo['det']."'";
		
		
		$pagamento_emi_complexo = mysql_query($query_pagamento_emi_complexo, $paivaconex) or die(mysql_error());
		$row_pagamento_emi_complexo = mysql_fetch_assoc($pagamento_emi_complexo);
		$totalRows_pagamento_emi_complexo = mysql_num_rows($pagamento_emi_complexo);
		
		
		//Variaveis de Receita
		$valor_receita = $row_recebimento_emi_complexo['valo_bruto'];
		$valor_receita_financeira = $row_recebimento_emi_complexo['juros_rec'];
		
		
		//Subtracao de Valores
		if($totalRows_pagamento_emi_complexo >0){
			do{
			
				$valor_receita -= $row_pagamento_emi_complexo['Valor'];
				$valor_receita_financeira -= $row_pagamento_emi_complexo['Juros'];
				
				$atualizar = "UPDATE mfin_pagamentos_2 SET phoenix_emi=CURDATE() WHERE mfin_pagamentos_2.Id= ".$row_pagamento_emi_complexo['pag_id'];
				mysql_query($atualizar, $paivaconex) or die(mysql_error());
			
			} while ($row_pagamento_emi_complexo = mysql_fetch_assoc($pagamento_emi_complexo));
		}
		
		
		// Honorarios Embutidos
		$query_recebimento_emi_embutex ="Select Sum(Valor-outros-outros2-outros3+Juros) AS vl, Sum(Valor-outros-outros2-outros3) AS valo_bruto, Sum(Juros) AS juros_rec, DATE_FORMAT(Emissao, '%d/%m') AS dta_emissao, Emissao, REPLACE(REPLACE(mfin_recebimentos.Detalhe, '\n', ''), '\r', '') AS det, mfin_pastas.Numero as num_pasta, mfin_bancos.NumContaReduzida as banco_conta FRom mfin_recebimentos INNER join mfin_clientes ON Cliente_Id = mfin_clientes.Id INNER join mfin_pastas ON Pasta_Id = mfin_pastas.Id INNER join mfin_contas ON ContaResultado = mfin_contas.Id INNER join mfin_bancos ON Banco_Id = mfin_bancos.Id Where mfin_recebimentos.Tipo = 1 AND Emissao = '".$row_recebimento_emi_complexo['Emissao']."' AND mfin_pastas.Numero = '".$row_recebimento_emi_complexo['num_pasta']."' AND mfin_recebimentos.Detalhe = '".$row_recebimento_emi_complexo['det']."' AND mfin_clientes.Id = 8678 GROUP BY Emissao, mfin_pastas.Numero, mfin_recebimentos.Detalhe";

		$recebimento_emi_embutex = mysql_query($query_recebimento_emi_embutex, $paivaconex) or die(mysql_error());
		$row_recebimento_emi_embutex = mysql_fetch_assoc($recebimento_emi_embutex);
		$totalRows_recebimento_emi_embutex = mysql_num_rows($recebimento_emi_embutex);

		$embutex =0;
		if($totalRows_recebimento_emi_embutex > 0){
			$embutex = $row_recebimento_emi_embutex['valo_bruto'];
			
			//Lancamento de Embutex
			if(($embutex) > 0){
				
			//HP
			$hp_antigo = $historico_padrao_receber;
		
			$historico_padrao_receber = '462';
				
			$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
			$texto .= $row_recebimento_emi_complexo['dta_emissao']; // Data do Movimento
			$texto .= str_pad(1190, 7, " ", STR_PAD_RIGHT); // Conta Dedito
			$texto .= str_pad(1400, 7, " ", STR_PAD_RIGHT); // Conta Credito
			$texto .= str_pad(number_format($embutex,2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
			$texto .= str_pad($historico_padrao_receber, 5, "0", STR_PAD_LEFT); // Historico Padrao
			$texto .= substr(str_pad(' Pasta: '.$row_recebimento_emi_complexo['num_pasta'].' '.$row_recebimento_emi_complexo['det'], 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
			$texto .= chr(13).chr(10); // Quebra de Liinha
			$contador++;	
			
			
			$historico_padrao_receber = $hp_antigo;
			
			}
		}
		
		
		//Lancamento de Receita
		if(($valor_receita-$embutex) > 0){
			
		//HP
		$hp_antigo = $historico_padrao_receber;
		
		$historico_padrao_receber = '462';
			
		$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
		$texto .= $row_recebimento_emi_complexo['dta_emissao']; // Data do Movimento
		$texto .= str_pad(1190, 7, " ", STR_PAD_RIGHT); // Conta Dedito
		$texto .= str_pad(1400, 7, " ", STR_PAD_RIGHT); // Conta Credito
		$texto .= str_pad(number_format($valor_receita-$embutex,2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
		$texto .= str_pad($historico_padrao_receber, 5, "0", STR_PAD_LEFT); // Historico Padrao
		$texto .= substr(str_pad(' Pasta: '.$row_recebimento_emi_complexo['num_pasta'].' '.$row_recebimento_emi_complexo['det'], 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
		$texto .= chr(13).chr(10); // Quebra de Liinha
		$contador++;
		
		$historico_padrao_receber = $hp_antigo;
		
		}
		
		//Lancamento de Receita_Financeira
		if( $valor_receita_financeira >= 0.01 ) {
		
		$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
		$texto .= $row_recebimento_emi_complexo['dta_emissao']; // Data do Movimento
		$texto .= str_pad(1190, 7, " ", STR_PAD_RIGHT); // Conta Dedito
		$texto .= str_pad(3626, 7, " ", STR_PAD_RIGHT); // Conta Credito
		$texto .= str_pad(number_format($valor_receita_financeira,2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
		$texto .= str_pad($historico_padrao_juros, 5, "0", STR_PAD_LEFT); // Historico Padrao
		$texto .= substr(str_pad('Pasta: '.$row_recebimento_emi_complexo['num_pasta'].' '.$row_recebimento_emi_complexo['det'], 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
		$texto .= chr(13).chr(10); // Quebra de Liinha
		$contador++;
		}
		
		if($texto <> ''){
		fwrite($fp,$texto); //Escrever no Arquivo
		$texto = '';
		
		}
		
		
	} while ($row_recebimento_emi_complexo = mysql_fetch_assoc($recebimento_emi_complexo));

?>